API Reference
cURL
curl --request GET \ --url https://production.runalloy.com/analytics/usage \ --header 'Authorization: <authorization>' \ --header 'x-api-version: <x-api-version>'
{ "data": { "startDate": "2023-12-27", "endDate": "2024-12-26", "executionsLimit": 0, "sevenDays": 14, "thirtyDays": 90, "lastThreeMonths": 1300, "billingCycle": 2096, "appActions": 2096, "apiActions": 0 } }
Returns a list of all app actions usage data.
Documentation IndexFetch the complete documentation index at: https://docs.runalloy.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
Use this file to discover all available pages before exploring further.
The version of the API to use. The current API version is 2025-09.
Success (Example)